Bug 860813 - brasero "Never Add Such File" doesn't do anything
brasero "Never Add Such File" doesn't do anything
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: brasero (Show other bugs)
7.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Tomáš Bžatek
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 15:02 EDT by Mark Gordon
Modified: 2015-03-03 18:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 10:54:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Gordon 2012-09-26 15:02:09 EDT
Description of problem:
If you try to add a directory hierarchy of excessive depth to a brasero data project, it asks, "Do you really want to add "[filename]" to the selection? The children of this directory will have 7 parent directories.  Brasero can create an image of such a file hierarchy and burn it but the disc may not be readable on all operating systems.  Note: Such a file hierarchy is known to work on Linux."  The choice is given between two buttons: "Never Add Such File" and "Always Add Such File".  If you choose "Never", it apparently ignores your answer and merrily adds the file to the project.

Version-Release number of selected component (if applicable):
brasero-3.4.1-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. for i in `seq 10`; do mkdir foo; cd foo; done
2. start brasero
3. start a new data project
4. add the root-most foo directory to the project
5. click the "Never" button
  
Actual results:
It blithely adds the directory to the project

Expected results:
Nothing, effectively the same as a "Cancel", but with persistence (a different bug).

Additional info:
Comment 1 Tomáš Bžatek 2013-01-08 09:12:49 EST
This works fine for me in brasero-3.6.1, clicking the "Never Add Such File" would add only five levels with the last one having empty contents.

Can you confirm this is fixed in the latest version and close?
Comment 2 Mark Gordon 2013-03-13 10:54:30 EDT
OK, I'm seeing the same behavior, and it seems reasonable.  I'm not sure whether it worked differently in the version I was testing; I may not have realized precisely what it was doing.  Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.